<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
<title>Moja strona WWW</title>
</head>
<body>
<div style='text-align:center;'>
Treść witryny
</div>
<div><p style='text-align:center;'>
<?php
function getCounter()
{
  if(!file_exists("./licznik.txt")){
    //brak pliku licznika
    return false;
  }
  if(!$fd = fopen("./licznik.txt", "r+")){
    //brak dostępu do pliku licznika
    return false;
  }
  flock($fd, LOCK_EX);
  $count = fgets($fd);
  if(is_numeric($count)){
    $result = $count + 1;
    fseek($fd, 0);
    fputs($fd, $result);
  }
  else{
    //nieprawidłowy format odczytanych danych
    $result = false;
  }
  flock($fd, LOCK_UN);
  fclose($fd);
  return $result;
}
if(($count = getCounter()) !== false){
  if($count == 1){
    $razy = 'raz';
  }
  else{
    $razy = 'razy';
  }
  echo "Ta strona została odwiedzona $count $razy " .
       "od 20 maja 2012 roku.";
}
else{
  echo "Licznik odwołań jest czasowo niedostępny.";
}
?>
</p></div>
</body>
</html>
